org.apache.xmlbeans.impl.schema

## Class FileResourceLoader

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.FileResourceLoader

All Implemented Interfaces:
  ResourceLoader

    public class FileResourceLoader
    extends Object
    implements ResourceLoader

### Constructor Summary

Constructors
Constructor and Description
`FileResourceLoader(File file)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`InputStream` `getResourceAsStream(String resourceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileResourceLoader

    public FileResourceLoader(File file)
                       throws IOException

Throws:
  `IOException`

### Method Detail

#### getResourceAsStream

    public InputStream getResourceAsStream(String resourceName)

Specified by:
  `getResourceAsStream` in interface `ResourceLoader`

#### close

    public void close()

Specified by:
  `close` in interface `ResourceLoader`